For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTCreateKey
        • POSTGetKeys
        • POSTUpdateKey
        • POSTDeleteKey
        • POSTSetKeyRoles
        • POSTGetKeyRoles
        • POSTRemoveKeyRoles
        • POSTAddSubUser
        • POSTGetSubUsers
        • POSTSetSubUserInfo
        • POSTDelSubUser
        • POSTSetSubUserRoles
        • POSTGetSubUserRoles
        • POSTRemoveSubUserRoles
        • POSTGetRoles
        • POSTGetRoleGroups
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceRole System

GetSubUserRoles

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetSubUserRoles
POST
/platform_api/GetSubUserRoles
$curl -X POST "https://api.voximplant.com/platform_api/GetSubUserRoles?subuser_id=1" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "role_name": "Support",
5 "role_id": 3,
6 "inherited": true,
7 "parent_role_id": [
8 1,
9 2
10 ],
11 "gui_only": true
12 },
13 {
14 "role_name": "Accountant",
15 "role_id": 7,
16 "inherited": false,
17 "parent_role_id": [],
18 "gui_only": true
19 },
20 {
21 "role_name": "TestRole",
22 "role_id": 14,
23 "inherited": false,
24 "parent_role_id": [],
25 "gui_only": false
26 }
27 ]
28}

Gets the subuser’s roles.

Allowed roles: Owner.

Example request: Get subuser’s roles.

Was this page helpful?
Previous

SetSubUserRoles

Next

RemoveSubUserRoles

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

subuser_idintegerRequired
The subuser's ID
with_expanded_rolesbooleanOptional
Whether to show the roles' additional properties

Response

Successful response
resultlist of objects